Summary: A software for visualizing both gridded and irregularly located data.
Name:	 vis5d+
Version: 1.3.0
Release: beta3
License: GPL
Group: 	 Applications/Engineering
Source:  http://prdownloads.sourceforge.net/vis5d/%{name}-1.3.0-beta.tar.bz2
Patch0:  vis5d+-1.3.0-beta.patch
Patch1:  vis5d+-1.3.0-reverse.patch
BuildPrereq: tcl-devel XFree86-devel zlib-devel netcdf
###BuildPrereq: libpng-devel
#Requires: tcl XFree86-Mesa-libGLU XFree86-Mesa-libGL XFree86-libs zlib
Requires: tcl XFree86-libs zlib
###Requires: libpng
BuildRoot: %{_tmppath}/%{name}-root
URL: http://sourceforge.net/projects/vis5d
Packager: zlb@lsec.cc.ac.cn
Prefix:   /usr

%description
Vis5D is a software system that can be used to visualize both
gridded data and irregularly located data.  Sources for this data can
come from numerical weather models, surface observations and other
similar sources.  Vis5D can work on data in the form of a
five-dimensional rectangle.  That is, the data are real numbers at
each point of a "grid" which spans three space dimensions, one time
dimension and a dimension for enumerating multiple physical variables.
Of course, Vis5D works perfectly well on data sets with only one
variable, one time step (i.e. no time dynamics) or one vertical level.
However, your data grids should have at least two rows and columns.
Vis5D can also work with irregularly spaced data which are stored as
"records".  Each record contains a geographic location, a time, and a
set of variables which can contain either character or numerical data.

%prep
%setup -q -n vis5d+-1.3.0-beta
%patch0 -p1
%patch1 -p1

%build

#./configure --prefix=%{prefix} --enable-gtk
./configure --prefix=%{prefix} --with-netcdf=/usr/lib

# A quick hack to disable the use of libpng
# (should go through the configure stuffs)
sed -e 's/#define HAVE_LIBPNG 1/#undef HAVE_LIBPNG/g' config.h >/var/tmp/toto
/bin/mv -f /var/tmp/toto config.h

make

%install
V5DDIR=$RPM_BUILD_ROOT%{prefix}/share/vis5d+
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib,share}
mkdir -p $V5DDIR/{convert,scripts,doc/html/stylesheet-images,userfuncs}

# install standard files
make DESTDIR=$RPM_BUILD_ROOT install

# install extra files
install -m 644 doc/vis5d.pdf $V5DDIR/doc/vis5d.pdf
install -m 644 doc/html/*.html $V5DDIR/doc/html/
install -m 644 doc/html/stylesheet-images/* $V5DDIR/doc/html/stylesheet-images/
install -m 644 convert/*.* $V5DDIR/convert/
install -m 644 scripts/*.tcl $V5DDIR/scripts/
install -m 644 userfuncs/*.[fm] $V5DDIR/userfuncs/
for p in externf externf_all
do
    install -m 755 userfuncs/$p $V5DDIR/userfuncs/$p
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{prefix}/share/vis5d+
%dir %{prefix}/include/vis5d+
%{prefix}/bin/vis5d
%{prefix}/bin/v5dimport
%{prefix}/bin/v5dinfo
%{prefix}/bin/v5dstats
%{prefix}/bin/v5dedit
%{prefix}/bin/v5dappend
%{prefix}/bin/comp_to_v5d
%{prefix}/bin/topoinfo
%{prefix}/bin/igg3d
%{prefix}/bin/igu3d
%{prefix}/bin/gg3d
%{prefix}/bin/gr3d_to_v5d
%{prefix}/include/vis5d+/*
%{prefix}/lib/libvis5d.*
%{prefix}/lib/libv5d.*
%{prefix}/lib/pkgconfig/vis5d+.pc
%{prefix}/share/locale/pt_BR/LC_MESSAGES/vis5d+.mo
%{prefix}/share/locale/es/LC_MESSAGES/vis5d+.mo
%{prefix}/share/vis5d+/*

%pre

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%changelog

* Sun Nov 21 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- added netCDF support (netcdf RPM package only required for building)

* Thu Apr 23 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>

- 1.3.0-beta1 (reversed-color.patch)
  . added dependencies on some devel packages.
  . fixed reverse video mode (default to white bg).
  . default inst prefix changed to /usr, and made the package relocatable
  . disabled libpng (use convert instead).
